# About lifen-postman

This repository holds some PostMan files that performs tests against Lifen's Fhir API. They represent my handout regardinf the technical test.

## Installation and execution

PostMan is required to run them.

1. Download the 3 jsons files
2. Create or select a Workspace that will get them
3. `File` > `Import...` and drag-and-drop them on the lightbox.
    ![Import modale with some files ready to be imported](./public/import-screen-with-files.jpg)
4. Open the collection properties
    ![a Collection Properties panel in PostMan](./public/lifen-api-collection-properties.jpg)
5. Run the files with the following settings
    ![a runner in PostMan](./public/lifen-api-runner.jpg)
    * Run the `POST a Json Web Token` is optional, the collection handle the JWT generation and use for each requests
    * The servers don't like to be rushed, you will get better results by addind a **Delay** of **500**ms
    * You can save the responses to diagnose them after run.
    * The request `GET CommunicationRequest` wait 10 sec before being launched, because Irène may not have processed the CommunicationRequest that early.
    * There is no need to save the cookies, as there will be no cookies baked here 🚫🍪😔

## an Example of Test Report in PostMan

![an Example of Test Report](./public/run-result-example.jpg)

